petsc-3.7.1 2016-05-15
Report Typos and Errors

# SNESLineSearchGetTolerances

Gets the tolerances for the linesearch. These include tolerances for the relative and absolute change in the function norm, the change in lambda for iterative line searches, the minimum steplength, the maximum steplength, and the maximum number of iterations the line search procedure may take.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESLineSearchGetTolerances(SNESLineSearch linesearch,PetscReal *steptol,PetscReal *maxstep, PetscReal *rtol, PetscReal *atol, PetscReal *ltol, PetscInt *max_its)

### Input Parameters

linesearch -linesearch context Many br

### Output Parameters

| steptol | - The minimum steplength Many br
| maxstep | - The maximum steplength Many br
| rtol | - The relative tolerance for iterative line searches Many br
| atol | - The absolute tolerance for iterative line searches Many br
| ltol | - The change in lambda tolerance for iterative line searches Many br
| max_it | - The maximum number of iterations of the line search Many br

Many br

### Notes

Different line searches may implement these parameters slightly differently as Many brthe type requires. Many br

### See Also

SNESLineSearchSetTolerances()

Level:intermediate
Location:src/snes/linesearch/interface/linesearch.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages